infobox is deleted
Closed, ResolvedPublic


Author: brassratgirl

Added a sentence to a paragraph, infobox was deleted:

Firefox, Windows XP.

Version: unspecified
Severity: critical
See Also:

bzimport added a project: Parsoid.Via ConduitNov 22 2014, 2:04 AM
bzimport set Reference to bz51043.
bzimport created this task.Via LegacyJul 9 2013, 3:00 PM
Aklapper added a comment.Via ConduitJul 9 2013, 4:38 PM

Thanks for taking the time to report this!

(In reply to comment #0)

Firefox, Windows XP.

Could you provide the version of Firefox please?

bzimport added a comment.Via ConduitJul 9 2013, 5:16 PM

brassratgirl wrote:

Firefox 22.0 (sorry, I was using a different machine when I reported this!)

bzimport added a comment.Via ConduitJul 9 2013, 5:23 PM

brassratgirl wrote:

I figured out what happened. I removed an extra space at the top of the article (by placing the cursor at the beginning of the first paragraph and hitting backspace) and it deleted the infobox instead. See screenshot. Maybe not a bug per se but definitely unexpected behavior.

bzimport added a comment.Via ConduitJul 9 2013, 5:24 PM

brassratgirl wrote:

screenshot - removed extra space where indicated, infobox got deleted instead


Elitre added a comment.Via ConduitAug 3 2013, 3:23 PM

"In my edit, I merely wikilinked to a person. I did not use backspace, but once again, the infobox was accidentally deleted."


bzimport added a comment.Via ConduitAug 6 2013, 1:26 PM

turingt wrote:

I've run into the same error here:

Steps to reproduce:

  • Click Edit(beta) on the History section. (The cursor doesn't go anywhere near the infobox, so it's not motivated by pressing the wrong key.
  • Select the text "Neon Genesis Evangelion franchise" in the first sentence.
  • Press Ctrl+K to start a wikilink
  • Press enter twice
  • Save page.

I think the problem may be caused by the selected text having some Italics words. I've tried it again in my sandbox removing the italics from the wikitext, and it no longer removes the infobox; only when the italic double quotes are included.

Whatamidoing-WMF added a comment.Via ConduitAug 7 2013, 11:28 PM

As an alternative to asking for confirmation before deleting a template, this suggestion was made:

Another way would be to do like Word do for images: the first backspace selects the image, a second one deletes the image. The same kind of behavior could be applied to templates: first select the template, then delete it on a second key stroke. --NicoV (Talk on frwiki) 06:19, 2 August 2013 (UTC)

Thryduulf added a comment.Via ConduitAug 10 2013, 11:07 PM

Infoboxes are getting deleted for reasons other than deleting being pressed, for example at [[Crayon Shin-chan]]

To reproduce:

  1. Load the article in VE
  2. Add any text anywhere to the article
  3. Review changes

Note that the infobox is actually produced by four templates, all of which are removed:
[[Template:Infobox animanga/Header]]
[[Template:Infobox animanga/Print]]
[[Template:Infobox animanga/Video]]
[[Template:Infobox animanga/Footer]]

This makes me wonder whether this is causing Parsoid to see four incomplete templates resulting in Bug 49839?

I've marked this as critical because this causes damage to the live wiki

ssastry added a comment.Via ConduitAug 11 2013, 2:09 AM

Related: bug 52488

ssastry added a comment.Via ConduitAug 23 2013, 9:38 PM

This has been fixed and deployed last week.

Add Comment